<?php

if ( !defined('INC_FILE_ACTIVITY') ) {
      define ('INC_FILE_ACTIVITY',1);

class Activity
{
  var $id;
  var $idFD;// vaudrait mieux un objet File !!!
	var $idTask;
	var $task;
	var $user;
	var $date;
	var $timeBegin;
	var $used;// en minutes, depuis le WebCalendar
	var $msg;

function LoadFromDbData(&$data) {
  $this->idTask=$data->cal_name;
  $this->user=$data->cal_create_by;
  $this->date=$data->cal_date;
  $this->timeBegin=$data->cal_time;
  $this->used=$data->cal_duration;
  $this->msg=$data->cal_description;
}	

function GetTaskDesc() {
  If ($this->task==NULL) {
    $this->task = new Task;
    $this->task->id = $this->idTask;
    OpenDB($mdb2);
    $this->task->Load($mdb2);
    //CloseDB($mdb2);
  }
  return $this->task->idTaskDesc;
}	


} // Class

} // ifndef
?>
 
